Freeciv-3.1: ss_report Class Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Public Member Functions | Private Slots | Private Attributes
ss_report Class Reference

`#include <spaceshipdlg.h>`

Inheritance diagram for ss_report:

## Public Member Functions

| ss_report (struct player *pplayer)
| ~ss_report ()
void | update_report ()
void | init ()

## Private Slots

void | launch ()

## Private Attributes

QPushButton * | launch_button
QLabel * | ss_pix_label
QLabel * | ss_label
struct canvas * | can
struct player * | player

## Detailed Description

Definition at line 38 of file spaceshipdlg.h.

## Constructor & Destructor Documentation

## ◆ ss_report()

ss_report::ss_report | ( | struct player * | pplayer | ) |

Constructor for spaceship report

Definition at line 41 of file spaceshipdlg.cpp.

## ◆ ~ss_report()

ss_report::~ss_report | ( |  | ) |

Destructor for spaceship report

Definition at line 66 of file spaceshipdlg.cpp.

## Member Function Documentation

## ◆ init()

void ss_report::init | ( |  | ) |

Initializes widget on game_tab_widget

Definition at line 75 of file spaceshipdlg.cpp.

Referenced by popup_spaceship_dialog().

## ◆ launch

void ss_report::launch | ( |  | ) |

privateslot

Launch spaceship

Definition at line 110 of file spaceshipdlg.cpp.

Referenced by ss_report().

## ◆ update_report()

void ss_report::update_report | ( |  | ) |

Updates spaceship report

Definition at line 87 of file spaceshipdlg.cpp.

Referenced by init(), refresh_spaceship_dialog(), and ss_report().

## Field Documentation

## ◆ can

struct canvas* ss_report::can

private

Definition at line 44 of file spaceshipdlg.h.

Referenced by ss_report(), update_report(), and ~ss_report().

## ◆ launch_button

QPushButton* ss_report::launch_button

private

Definition at line 41 of file spaceshipdlg.h.

Referenced by ss_report(), and update_report().

## ◆ player

struct player* ss_report::player

private

Definition at line 56 of file spaceshipdlg.h.

## ◆ ss_label

QLabel* ss_report::ss_label

private

Definition at line 43 of file spaceshipdlg.h.

Referenced by ss_report(), and update_report().

## ◆ ss_pix_label

QLabel* ss_report::ss_pix_label

private

Definition at line 42 of file spaceshipdlg.h.

Referenced by ss_report(), and update_report().